(define-module (ui mkve openvz ajax)
               :use-module (alterator ajax)
               :use-module (alterator woo)

               :export (init))

(define (say message) (format #t (string-append message "~%")))

(define (do-add-ip)
  (woo-write "/mkve-openvz"
             'add_ip "yes"
             'newip (form-value "newip")))

(define (do-del-ip)
  (woo-write "/mkve-openvz"
             'del_ip "yes"
             'del_ip_list (form-value "ip_address")))

(define (update-ip-list)
    (let
      ((ip_addresses (woo-list "/mkve-openvz/list_ip_address")))
      (form-update-enum "ip_address" ip_addresses)))

(define (add-ip)
  (catch/message do-add-ip)
  (update-ip-list))

(define (del-ip)
  (catch/message do-del-ip)
  (update-ip-list))

(define (do-set-password)
  (woo-write "/mkve-openvz"
             'password (form-value "passwd_1"))
  )

(define (set-password)
  (if (string=? (form-value "passwd_1") (form-value "passwd_2"))
      (if (not (string=? "" (form-value "passwd_2")))
        (catch/message do-set-password))))

(define (go-main) (form-replace "/mkve"))

(define (init)
  (form-bind "set_password" "click" set-password)
  (form-bind "add_ip" "click" add-ip)
  (form-bind "del_ip" "click" del-ip)

  (form-bind "gomain" "click" go-main)
  )
